import setuptools
from setuptools import setup, find_packages


with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="ds_future_sales_2024",
    version="0.1.2",
    description="A package for feature extraction, hyperopt, and validation schemas",
    long_description=long_description,
    long_description_content_type = "text/markdown",
    author = 'Polina Yatsko',
    author_email="yatsko_polina1@mail.ru",
    license='MIT',
    classifiers=[
        "Programming Language :: Python :: 3",
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Topic :: Scientific/Engineering :: Information Analysis',
        "Operating System :: OS Independent"],
    python_requires='>=3.9,<3.13',
    install_requires=[
        'asttokens==2.4.1',
        'black==24.10.0',
        'build==1.2.2.post1',
        'click==8.1.7',
        'cloudpickle==3.1.0',
        'colorama==0.4.6',
        'comm==0.2.2',
        'contourpy==1.3.1',
        'cycler==0.12.1',
        'debugpy==1.8.8',
        'decorator<5.0,>=4.0.2',
        'executing==2.1.0',
        'fonttools==4.55.0',
        'future==1.0.0',
        'hyperopt==0.2.7',
        'ipympl==0.9.4',
        'ipywidgets==8.1.5',
        'jedi==0.19.2',
        'joblib==1.4.2',
        'jupyter-client<8,>=5.3.4',
        'jupyter_core==5.7.2',
        'jupyterlab_widgets==3.0.13',
        'kiwisolver==1.4.7',
        'lightgbm==4.5.0',
        'llvmlite==0.43.0',
        'matplotlib==3.9.2',
        'matplotlib-inline==0.1.7',
        'more-itertools==10.5.0',
        'mypy-extensions==1.0.0',
        'nest-asyncio==1.6.0',
        'networkx==3.4.2',
        'numba==0.60.0',
        'numpy>=1.20,<2.0',
        'packaging==24.2',
        'pandas>=2.0,<2.2.3dev0',
        'parso==0.8.4',
        'pathspec==0.12.1',
        'pillow==11.0.0',
        'pip-tools==7.4.1',
        'platformdirs==4.3.6',
        'prompt_toolkit==3.0.48',
        'psutil==6.1.0',
        'pure_eval==0.2.3',
        'py4j==0.10.9.7',
        'Pygments>=2.5.1',
        'pyparsing==3.2.0',
        'pyproject_hooks==1.2.0',
        'PyQt5==5.15.11',
        'PyQt5-Qt5==5.15.2',
        'PyQt5_sip==12.15.0',
        'python-dateutil==2.9.0.post0',
        'pytz==2024.2',
        'pyzmq<25,>=17',
        'scikit-learn==1.5.2',
        'scipy>=1.7.0,<1.14.0',
        'seaborn==0.13.2',
        'setuptools==75.5.0',
        'shap==0.46.0',
        'six==1.16.0',
        'slicer==0.0.8',
        'stack-data==0.6.3',
        'threadpoolctl==3.5.0',
        'tk==0.1.0',
        'tqdm==4.67.0',
        'traitlets>=4.0,<=5.14',
        'typing==3.7.4.3',
        'tzdata==2024.2',
        'wcwidth==0.2.13',
        'wheel==0.45.0',
        'widgetsnbextension==4.0.13',
        'xgboost==2.1.2'
    ],
    packages=find_packages(),
    include_package_data = True,
    keywords="machine-learning xgboost lightgbm hyperopt data-science",
)
